NXDBWrapper
Keywords: uk.ac.bbk.dcs.automed.xml.wrappers.NXDBWrapper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml.wrappers
Class NXDBWrapper

    java.lang.Object
      uk.ac.ic.doc.automed.wrappers.AutoMedWrapper
          uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapper
              uk.ac.bbk.dcs.automed.xml.wrappers.NXDBWrapper

Direct Known Subclasses:
  EXISTWrapper

    public abstract class NXDBWrapper

extends XMLWrapper

Class Task Description

Author:
  Lucas Zamboulis

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapper
`logger, resultList, schemaDoc, schemaUIDDoc`

Fields inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapper
`am, awf, debug, driver, emptyKeyProtection, emptyKeys, optionKeyProtection, optionKeys, password, s, url, username`

Method Summary
`protected ASG` | `compositeQuery(ASG query)`
`protected ASG` | `elementAttributeQuery(java.lang.String searchNode1, java.lang.String searchNode2)`
`protected ASG` | `elementElementQuery(java.lang.String searchNode1, java.lang.String searchNode2, int order)`
`protected ASG` | `elementPCDataQuery(java.lang.String searchNode1, int order)`
`protected ASG` | `elementQuery(java.lang.String searchNode)`
`boolean` | `getDeepQuery()`
`QueryParser` | `getQueryParser(ASG query)` Return a parser that will accept queries for the wrapper.
`void` | `setDeepQuery(boolean value)`
`protected ASG` | `textQuery()`

Methods inherited from class uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapper
`assignCIDs, connect, elementElementQuery, elementPCDataQuery, executeIQL, executeLocalQuery, executeXMLQuery, getSchemaDoc, getSchemaName, getSchemaUIDDoc, getSODefinition, getURI, getXMLDSS, initialiseWrapper, newAutoMedWrapper, selectNewAutoMedWrapper, xpathForAttributeQuery, xpathForElementQuery, xpathForTextQuery`

Methods inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapper
`atDebugLevel, cacheWrapper, deleteIQL, executeIQL, getAccessMethod, getAutoMedWrapper, getAutoMedWrapper, getAutoMedWrapperFactory, getDefaultWrapperFactory, getDrivers, getOption, getOptionKeyProtection, getOptionKeys, getProtocol, getProtocolName, getQueryCache, getQueryCache, getSchema, getSchema, getSODefinition, insertIQL, newAutoMedSchema, newAutoMedWrapper, newAutoMedWrapper, registerWrapper, selectNewAutoMedWrapper, setDebugLevel, setOption, updateCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getQueryParser

    public QueryParser getQueryParser(ASG query)

  Description copied from class: `AutoMedWrapper`
  Return a parser that will accept queries for the wrapper. The default parser is `Schemes`, which accepts only single schemes, with no other IQL operators supported. The `SimpleComp` parser will allow simple list comprehensions to be passed to the wrapper.

  Overrides:
    `getQueryParser` in class `AutoMedWrapper`

### textQuery

    protected ASG textQuery()
                     throws TranslationException

  Specified by:
    `textQuery` in class `XMLWrapper`
  Returns:
    all PCData and CData nodes
  Throws:
    `TranslationException`

### elementQuery

    protected ASG elementQuery(java.lang.String searchNode)
                        throws TranslationException

  Specified by:
    `elementQuery` in class `XMLWrapper`
  Throws:
    `TranslationException`

### elementPCDataQuery

    protected ASG elementPCDataQuery(java.lang.String searchNode1,
                                     int order)
                              throws TranslationException

  Specified by:
    `elementPCDataQuery` in class `XMLWrapper`
  Throws:
    `TranslationException`

### elementAttributeQuery

    protected ASG elementAttributeQuery(java.lang.String searchNode1,
                                        java.lang.String searchNode2)
                                 throws TranslationException

  Specified by:
    `elementAttributeQuery` in class `XMLWrapper`
  Throws:
    `TranslationException`

### elementElementQuery

    protected ASG elementElementQuery(java.lang.String searchNode1,
                                      java.lang.String searchNode2,
                                      int order)
                               throws TranslationException

  Specified by:
    `elementElementQuery` in class `XMLWrapper`
  Throws:
    `TranslationException`

### compositeQuery

    protected ASG compositeQuery(ASG query)
                          throws TranslationException

  Specified by:
    `compositeQuery` in class `XMLWrapper`
  Throws:
    `TranslationException`

### getDeepQuery

    public boolean getDeepQuery()

### setDeepQuery

    public void setDeepQuery(boolean value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD